package com.smppw.modaq.domain.dto.report;

import com.smppw.modaq.domain.entity.report.ReportFundInfoDO;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:47
 * @description 报告基金基本信息
 */
@Setter
@Getter
public class ReportFundInfoDTO extends BaseReportDTO<ReportFundInfoDO> {
    /**
     * 基金的名称
     */
    private String fundName;

    /**
     * 基金的唯一识别代码
     */
    private String fundCode;

    /**
     * 基金管理人的名称
     */
    private String companyName;

    /**
     * 基金交易使用的货币种类
     */
    private String currency;

    public ReportFundInfoDTO() {
        super();
    }

    public ReportFundInfoDTO(Integer fileId) {
        super(fileId);
    }

    @Override
    public ReportFundInfoDO toEntity() {
        ReportFundInfoDO entity = new ReportFundInfoDO();
        entity.setFileId(this.getFileId());
        entity.setFundCode(this.fundCode);
        entity.setCompanyName(this.companyName);
        entity.setCurrency(this.currency);
        entity.setFundName(this.fundName);
        this.initEntity(entity);
        return entity;
    }

    @Override
    public String toString() {
        return "{" +
                super.toString() +
                ", fundName='" + fundName + '\'' +
                ", fundCode='" + fundCode + '\'' +
                ", companyName='" + companyName + '\'' +
                ", currency='" + currency + '\'' +
                '}';
    }
}
